Subject: Re: [RFC PATCH] gitk: Activate --find-copies-harder

From: Pratyush Yadav <[email-masked]>
Date: Mon, 11 Jan 2021 18:03:57 +0530

On Mon, Jan 11 2021, Laszlo Ersek wrote:

> On 01/10/21 13:59, Robert Pollak wrote:
>> On 2021-01-06 16:58, Laszlo Ersek wrote:
>>> On 01/04/21 20:54, Robert Pollak wrote:
>> [...]
>>>> I see the following problems with my patch:
>>>>
>>>> 1) It is totally untested with all the other args that are collected in
>>>> diffargs, like e.g. "-O<orderfile>", since I didn't need them yet.
>>>
>>> It would be really great if gitk supported both "-O<orderfile>" and
>>> --find-copies-harder!
>>
>> Can you please test these options with my patch and report back?
>>
>> -- Robert
>>
>
> The patch doesn't apply with git-am (I'm trying on top of 72c4083ddf91):
>
>> Applying: gitk: Activate --find-copies-harder
>> error: corrupt patch at line 100
>> Patch failed at 0001 gitk: Activate --find-copies-harder
>> hint: Use 'git am --show-current-patch' to see the failed patch
>> When you have resolved this problem, run "git am --continue".
>> If you prefer to skip this patch, run "git am --skip" instead.
>> To restore the original branch and stop patching, run "git am --abort".
>
> One problem could be the embedded diff in the notes section (I guess it
> could confuse git-am).
>
> Also, "gitk" has existed at "gitk-git/gitk" since commit 62ba5143ec2a
> ("Move gitk to its own subdirectory", 2007-11-18), so the pathname
> headers in the patch look wrong.

gitk is maintained as a separate repo by Paul Mackerras at
git://ozlabs.org/~paulus/gitk, and then is pulled into the main Git repo
from time to time using a subtree merge. That's how gitk changes end up
in gitk-git/. Patches for gitk should be based on the gitk repo to make
it easier for Paul to apply them. In short, the paths are fine.

> Thanks
> Laszlo

-- 
Regards,
Pratyush Yadav